let
  sources = import ./sources.nix;

  # declare pkgs from sources
  pkgs = import sources.nixpkgs { };
in sources // {
  nixpkgs = pkgs.applyPatches {
    src = sources.nixpkgs;
    name = "nixpkgs-patched";
    patches = [
      # tmp teeworlds fetchpatch to inject secrets
      (pkgs.fetchpatch {
        url = "https://github.com/NixOS/nixpkgs/pull/334590.patch";
        sha256 = "sha256-5Uf/jLV0CJFbWyPmkpF4kEVISvoG+fujvTAFIR0a2ek=";
      })
    ];
  };
}
